h1.page-header{
    font-family: "Dancing Script", cursive;
    font-size: 3.5rem;
    margin-block: 2rem;
    text-align: center;
}
#all-things{
    display: flex;
    gap: 5rem;
    justify-content: center;
    padding-inline: 4rem;
    margin-block: 2rem;
}
.all-things-div{
    width: 25%;
    border-radius: 30px;
    position: relative;
}
.all-things-div div{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    position: absolute;
    top: 0;
    width:100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.6);
    border-radius: 30px;
}
.all-things-div img{
    max-width: 100%;
    border-radius: 30px;
}
.all-things-div p{
    color: #ffffff;
    margin: 0;
    font-size: 2.5rem;
    font-family: "Cause", cursive;
}
.all-things-div a{
    text-decoration: none;
    color: var(--main-color);
    font-weight: 700;
}
@media screen and (max-width: 598px) {
    h1.page-header{
        font-size: 2.5rem;
    }
    #all-things{
        display: block;
        padding-inline: .75rem;
    }
    .all-things-div{
        width: 100%;
        margin-top: 1.5rem;
    }
}